Loading...
Searching...
No Matches
casacore::TableExprGroupKeySet Class Reference
tables package (libcasa_tables) » TaQL_module » TaQL_module_internal_classes

Class representing all keys in the groupby clause. More...

`#include <ExprGroup.h>`

## Public Member Functions

| TableExprGroupKeySet (const vector< TableExprNode > &nodes)
| Form the object from the given groupby nodes.
void | addKey (TableExprNodeRep::NodeDataType dtype)
| Add a key to end the set.
void | fill (const vector< TableExprNode > &nodes, const TableExprId &id)
| Fill the keys with the values from the nodes for this rowid.
bool | operator== (const TableExprGroupKeySet &) const
| Compare all keys in the set.
bool | operator< (const TableExprGroupKeySet &) const

## Private Attributes

vector< TableExprGroupKey > | itsKeys

## Detailed Description

Class representing all keys in the groupby clause.

### Intended use:

Internal

### Review Status

Test programs:
  tTableGram

### Synopsis

The GROUPBY clause consists of one or more keys, each being a scalar TaQL expression with an arbitrary data type. This class contains a set of TableExprGroupKey objects, each containing the value of a key for a particular table row.
It contains comparison functions to make it possible to use them in a std::map object to map the groupby keyset to a group.

Definition at line 103 of file ExprGroup.h.

## Constructor & Destructor Documentation

## TableExprGroupKeySet()

casacore::TableExprGroupKeySet::TableExprGroupKeySet | ( | const vector< TableExprNode > & | nodes | ) |

Form the object from the given groupby nodes.

Referenced by operator<(), and operator==().

## Member Function Documentation

## addKey()

void casacore::TableExprGroupKeySet::addKey | ( | TableExprNodeRep::NodeDataType | dtype | ) |

inline

Add a key to end the set.

Definition at line 110 of file ExprGroup.h.

References itsKeys.

## fill()

void casacore::TableExprGroupKeySet::fill | ( | const vector< TableExprNode > & | nodes,
|  | const TableExprId & | id )

Fill the keys with the values from the nodes for this rowid.

## operator<()

bool casacore::TableExprGroupKeySet::operator< | ( | const TableExprGroupKeySet & |  | ) | const

References TableExprGroupKeySet().

## operator==()

bool casacore::TableExprGroupKeySet::operator== | ( | const TableExprGroupKeySet & |  | ) | const

Compare all keys in the set.

The keyset is compared in order of key, thus the first key defines the major ordering.

References TableExprGroupKeySet().

## Member Data Documentation

## itsKeys

vector<TableExprGroupKey> casacore::TableExprGroupKeySet::itsKeys

private

Definition at line 123 of file ExprGroup.h.

Referenced by addKey().

The documentation for this class was generated from the following file:

- tables/TaQL/ExprGroup.h